For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Payments
          • Stored Instruments (Beta)
              • POSTCreate Instrument Access Token
              • GETList Instruments
              • POSTBulk Import Instruments
              • PUTUpdate Instrument
              • DELBulk Delete Instruments
              • DELRemove Instrument from Store and Gateway
              • GETList Available Payment Method Ids
        • Methods
          • Transactions (Beta)
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminPaymentsStored Instruments (Beta)Manage Instruments

Bulk Delete Instruments

Beta
DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/payments/stored-instruments
DELETE
/stores/:store_hash/v3/payments/stored-instruments
$curl -X DELETE "https://api.bigcommerce.com/stores/store_hash/v3/payments/stored-instruments?token:in=token%3Ain" \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
Deletes instruments from the store without triggering deletion on the provider side.
Was this page helpful?
Previous

Update Instrument

Next

Remove Instrument from Store and Gateway

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Create Paymentscreatestore_payments_access_token_create
Get Payment Methodsread-onlystore_payments_methods_read

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

token:instringRequired
Filter by a list of tokens.

Response

Errors

401
Unauthorized Error
404
Not Found Error